<?php
class ProductosServiciosModel extends Query{
    public function __construct()
    {
        parent::__construct();
    }
    private $id,$codigoProducto, $codigoActividad,$descripcionProducto,$estado;

    public function insertProductosServicios(int $codigoProducto,int $codigoActividad,string $descripcionProducto)
    {
        $this->codigoActividad = $codigoActividad;
        $this->codigoProducto = $codigoProducto;
        $this->descripcionProducto = $descripcionProducto;
        $sql = "insert into slistaproductos (codigoProducto,codigoActividad,descripcionProducto) values (?,?,?)";
        $datos = array($this->codigoProducto,$this->codigoActividad,$this->descripcionProducto);
        $data=$this->save($sql,$datos);
        if($data == 1){
            $res = 1;
        }else{
            $res = 0;
        }
        return $res;
    }

    public function getProductosServicios()
    {
        $sql = "select * from slistaproductos where estado=1";
        $data = $this->selectAll($sql);
        return $data;
    }
    
    public function getProductoServicio(int $codigoProducto,int $codigoActividad)
    {
        $this->codigoProducto=$codigoProducto;
        $this->codigoActividad=$codigoActividad;
        $sql = "select * from slistaproductos where codigoProducto=".$this->codigoProducto." and codigoActividad=". $this->codigoActividad;
        
        $data = $this->select($sql);
        return $data;
    }

    public function updateProductosServicios(int $codigoProducto,int $codigoActividad, string $descripcionProducto){
        $this->codigoActividad = $codigoActividad;
        $this->codigoProducto = $codigoProducto;
        $this->descripcionProducto = $descripcionProducto;
        $sql="update slistaproductos
        set descripcionProducto = ? where codigoProducto=? and codigoActividad=?";
        $datos = array($this->descripcionProducto,$this->codigoProducto,$this->codigoActividad);
        $data=$this->save($sql,$datos);
        if($data==1){
            $res=1;
        }else{
            $res=0;
        }
        return $res;        
    }

    public function accion(int $estado , int $id){
        $this->id = $id;
        $this->estado=$estado;
        $sql = "update slistaproductos set estado=? where id=?";
        $datos= array($this->estado, $this->id);
        $data=$this->save($sql,$datos);
        return $data;
    }

}
?>